{% extends 'base.html.twig' %}

{% block body %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md"></div>
            <div class="col-md">
                <h2 class="text-center">Accedi per iniziare il tuo lavoro.</h2>
                <div class="panel">
                    {% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}
                        <p>{{ 'layout.logged_in_as'|trans({'%username%': (app.user.username is defined)?app.user.username:"Accesso SSO"}, 'FOSUserBundle') }} |
                            <a href="{{ path('fos_user_security_logout') }}">
                                {{ 'layout.logout'|trans({}, 'FOSUserBundle') }}
                            </a>
                        </p>
                    {% endif %}
                    {% if error %}
                        <div class="row alert alert-danger" role="alert">
                            <div class="col-md">
                                {{ error.messageKey|trans(error.messageData, 'security') }}
                            </div>
                        </div>
                    {% endif %}
                </div>
                <div class="row c-line neutral-1-bg-a1 rounded order border-light">
                    <div class="col-md my-4">
                        {{ form_start(form) }}
                            <div class="form-row">
                                <div class="form-group col-sm">
                                    <label for="username" class="clearfix center-block">Username:</label>
                                    <input type="text" id="username" name="_username" value="{{ last_username }}" class="form-control border border-light rounded"  required   />
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-sm">
                                    <label for="password">Password:</label>
                                    <input type="password" id="password" name="_password" class="form-control border border-light rounded" required />
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col-md"></div>
                                <div class="col-md">
                                    <button type="submit" class="btn btn-primary col-md" aria-label="Entra" tabindex="30" id="_submit" name="_submit">Entra</button>
                                </div>
                                <div class="col-md"></div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md"></div>
        </div>
    </div>

{% endblock %}